From b161b7cd7903d331f498f19f3d6d23ea69294842 Mon Sep 17 00:00:00 2001
From: Peter Geoghegan <pg@bowt.ie>
Date: Fri, 24 Apr 2020 16:53:11 -0700
Subject: [PATCH v1 4/4] Fix third page deletion bug.

---
 src/backend/access/nbtree/nbtpage.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/access/nbtree/nbtpage.c b/src/backend/access/nbtree/nbtpage.c
index a2e39a6712..2aa88acdc6 100644
--- a/src/backend/access/nbtree/nbtpage.c
+++ b/src/backend/access/nbtree/nbtpage.c
@@ -1693,7 +1693,7 @@ _bt_pagedel(Relation rel, Buffer buf)
 				 * to-be-deleted doesn't have a downlink, and the page
 				 * deletion algorithm isn't prepared to handle that.
 				 */
-				if (!P_LEFTMOST(opaque))
+				if (leftsib != P_NONE)
 				{
 					BTPageOpaque lopaque;
 					Page		lpage;
-- 
2.25.1

